.container {
  border: none;

  transition: all 0.1s ease-in-out;
  outline: 0px;
  width: 100%;
  display: flex;
  padding: 12px 15px;
  align-items: flex-start;
  justify-content: center;
  gap: 10px;
  border-radius: 12px;

  .text {
    text-align: center;
    font-family: TT Hoves;
    font-size: 18px;
    font-style: normal;
    font-weight: 500;
    line-height: 24px; /* 133.333% */
  }
}
.orange {
  background: hsla(22, 97%, 59%, 1);

  &:focus {
    outline: 2px solid hsla(22, 97%, 80%, 0.4);
  }

  &:hover {
    background: hsla(22, 97%, 50%, 1);
  }

  &:active {
    background: hsla(22, 97%, 45%, 1);
  }

  &:disabled {
    background: hsla(22, 70%, 59%, 1);
    color: hsla(0, 0%, 100%, 0.5);
  }

  .text {
    color: hsla(0, 0%, 100%, 1);
  }
}

.white {
  background: white;
  border: 1px solid hsla(0, 0%, 92%, 1);

  &:focus {
    outline: 2px solid hsla(0, 0%, 90%, 0.4);
  }

  &:hover {
    background: hsla(0, 0%, 95%, 1);
  }

  &:active {
    background: hsla(0, 0%, 90%, 1);
  }

  &:disabled {
    background: hsla(0, 0%, 95%, 0.7);
    color: hsla(0, 0%, 100%, 0.5);
  }

  .text {
    color: hsla(0, 0%, 0%, 1);
  }
}

.black {
  background: hsla(0, 0%, 0%, 1);

  &:focus {
    outline: 2px solid hsla(0, 0%, 5%, 1);
  }

  &:hover {
    background: hsla(0, 0%, 15%, 1);
  }

  &:active {
    background: hsla(0, 0%, 25%, 1);
  }

  &:disabled {
    background: hsla(0, 0%, 0%, 0.7);
    color: hsla(0, 0%, 100%, 0.7);
  }

  .text {
    color: hsla(0, 0%, 100%, 1);
  }
}
